@blog.justoneplanet.info

日々勉強

android開発で既存のプロジェクトをimportする

毎回微妙にはまるのでそろそろ書いておく。

■import

eclipseの.projectディレクトリがある場合は、「File > import > Existing Projects into Workspace」で行う。

jarなどがある場合

ディレクトリ構成などが異なってるとリンクが切れたりするので、「Packeage Explorer > プロジェクトルートで右クリック > Properties > Java Build Path > Libraries」で再設定する。

compiler

以下のようなエラーが出る場合がある。

Android requires compiler compliance level 5.0 or 6.0. Found ‘1.7’ instead. Please use Android Tools > Fix Project Properties.

「環境設定 > Java > Compiler」でCompiler compliance levelを1.6にする。

■R.java

ビルドできる状態ならば勝手に生成されるのだが、極々稀に自動生成が開始されなかったりするので、その場合は再起動したりするといいと思う。

■テストコード

上述の方法でインポートする。但し、ディレクトリ構成が異なっていてテスト対象が見つけられずエラーが出る場合は、「Package Explorer > Propaties > Java Build Path > Projects」でプロジェクトをセットしなおす。

1件のコメント»

数日間の”Android requires compiler compliance level 5.0 or 6.0. Found ’1.7′ instead. Please use Android Tools > Fix Project Properties.”の繰り返しからやっと解放されました。ありがとうございました。

RSS feed for comments on this post.TrackBack URL

Leave a comment